import Env from '@ioc:Adonis/Core/Env';

interface OaiConfig {
    max: { listidentifiers: number; listrecords: number };
    workspacePath: string;
    redis: { ttl: number };
}
const config: OaiConfig = {
    max: {
        listidentifiers: parseInt(Env.get('OAI_LIST_SIZE', 100), 10),
        listrecords: parseInt(Env.get('OAI_LIST_SIZE', 100), 10),
    },
    workspacePath: 'workspace',
    redis: {
        ttl: 86400, //sec 1 day
    },
};
export default config;
